How to create a block Button in EJ2 JavaScript Button

21 Aug 20263 minutes to read

You can customize a Button into a Block Button that will span the entire width of its parent element. To create a Block Button, set the cssClass property to e-block.

ej.base.enableRipple(true);

//Block Button.
var button = new ej.buttons.Button({cssClass: `e-block`});
button.appendTo('#blockbtn');

//Primary Block Button.
button = new ej.buttons.Button({ isPrimary: true, cssClass: `e-block` });
button.appendTo('#primarybtn');

//Success Block Button.
button = new ej.buttons.Button({ cssClass: `e-block e-success` });
button.appendTo('#successbtn');
<!DOCTYPE html><html lang="en"><head>
    <title>EJ2 Button</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/35.1.37/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="styles.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/35.1.37/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <button id="blockbtn">Block Button</button>
        <button id="primarybtn">Block Button</button>
        <button id="successbtn">Block Button</button>
    </div>
    <script>
        let loader = document.getElementById('loader');
        let container = document.getElementById('container');
        if (loader) {
            loader.style.display = "none";
        }
        if (container) {
            container.style.visibility = "visible";
        }
    </script>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
    visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

button {
  margin: 25px 0;
}

How to create a block button in Angular Button

25 Sep 20262 minutes to read

You can customize a Angular Button into a block button that will span the entire width of its parent element.
To create a block button, set the cssClass property as e-block.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { enableRipple } from '@syncfusion/ej2-base'



import { Component } from '@angular/core';

@Component({
imports: [
        
        ButtonModule
    ],


standalone: true,
    selector: 'app-root',
    styleUrls:['./style.css'],
    template:  `
                <div class="e-section-control">
                    <!-- Block button. -->
                    <button ejs-button cssClass="e-block">Block Button</button>

                    <!-- Primary block button. -->
                    <button ejs-button cssClass="e-block e-primary">Block Button</button>

                    <!-- Success block button. -->
                    <button ejs-button cssClass="e-block e-success">Block Button</button>
                </div>`
                
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

How to create a block button in React Button

03 Sep 20262 minutes to read

A block React Button spans the entire width of its parent element. To create a block React Button, set the cssClass property to e-block.

import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
function App() {
    return (<div>
          {/* Block Button. */}
          <ButtonComponent cssClass='e-block'>Block Button</ButtonComponent>

          {/* Primary Block Button. */}
          <ButtonComponent cssClass='e-block' isPrimary={true}>Block Button</ButtonComponent>

          {/* Success Block Button. */}
          <ButtonComponent cssClass='e-block e-success'>Block Button</ButtonComponent>
      </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

function App() {
  return (
      <div>
          {/* Block Button. */}
          <ButtonComponent cssClass='e-block'>Block Button</ButtonComponent>

          {/* Primary Block Button. */}
          <ButtonComponent cssClass='e-block' isPrimary={true}>Block Button</ButtonComponent>

          {/* Success Block Button. */}
          <ButtonComponent cssClass='e-block e-success'>Block Button</ButtonComponent>
      </div>
  );
}
export default App;
ReactDom.render(<App />,document.getElementById('button'));

How to create a block button in Vue Button

20 Aug 20261 minute to read

You can customize a Button into a Block Button that will span the entire width of its parent element. To create a Block Button, set the cssClass property to e-block.

<template>
<div>
    <ejs-button cssClass='e-block'>Block Button</ejs-button>
    <ejs-button cssClass='e-block' isPrimary=true>Block Button</ejs-button>
    <ejs-button cssClass='e-block e-success'>Block Button</ejs-button>
</div>
</template>
<script setup>
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
button {
  margin: 25px 0;
}
</style>
<template>
<div>
    <ejs-button cssClass='e-block'>Block Button</ejs-button>
    <ejs-button cssClass='e-block' isPrimary=true>Block Button</ejs-button>
    <ejs-button cssClass='e-block e-success'>Block Button</ejs-button>
</div>
</template>

<script>
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
export default {
name: "App",
components: {
"ejs-button":ButtonComponent
}
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';

button {
  margin: 25px 0;
}
</style>